# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'robocup'

Gem::Specification.new do |s|
  s.name          = 'robocup'
  s.version       = RoboCup::VERSION
  s.authors       = ['Latchezar Tzvetkoff']
  s.email         = ['latchezar@tzvetkoff.net']

  s.summary       = %q{RuboCop}
  s.description   = %q{RuboCop}
  s.homepage      = 'https://github.com/tzvetkoff/robocup'
  s.license       = 'MIT'

  s.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  s.bindir        = 'exe'
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ['lib']

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency('rubocop', '>= 0')
    else
      s.add_dependency('rubocop', '>= 0')
    end
  else
    s.add_dependency('rubocop', '>= 0')
  end

  s.post_install_message = <<-EOT.gsub(/^    /, '')
    -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
    It's actually RuboCop, not RoboCup!
    -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  EOT
end
